# Intel® Enhanced Privacy ID SDK: print_utils

print_utils
epid » common

Debug print routines. More...

## Enumerations

enum | PrintUtilFormat { kPrintUtilUnannotated = 0, kPrintUtilAnnotated = 1 }
| Print format. More...

## Functions

void | PrintBigNum (BigNum const *big_num, char const *var_name)
| Prints BigNum. More...
void | PrintFfElement (FiniteField const *ff, FfElement const *ff_element, char const *var_name, PrintUtilFormat format)
| Prints finite field element. More...
void | PrintEcPoint (EcGroup const *g, EcPoint const *ec_point, char const *var_name, PrintUtilFormat format)
| Prints elliptic curve group element. More...
void | PrintBigNumStr (BigNumStr const *big_num_str, char const *var_name)
| Prints serialized BigNum. More...
void | PrintFpElemStr (FpElemStr const *fp_elem_str, char const *var_name)
| Prints serialized Fp element. More...
void | PrintFqElemStr (FqElemStr const *fq_elem_str, char const *var_name)
| Prints serialized Fq element. More...
void | PrintFq2ElemStr (Fq2ElemStr const *fq2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq2 element. More...
void | PrintFq6ElemStr (Fq6ElemStr const *fq6_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq6 element. More...
void | PrintFq12ElemStr (Fq12ElemStr const *fq12_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Fq12 element. More...
void | PrintG1ElemStr (G1ElemStr const *g1_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G1 element. More...
void | PrintG2ElemStr (G2ElemStr const *g2_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized G2 element. More...
void | PrintGtElemStr (GtElemStr const *gt_elem_str, char const *var_name, PrintUtilFormat format)
| Prints serialized Gt element. More...

## Detailed Description

Debug print routines.

Defines an API to print formatted versions of the types used for mathematical operations.

If the symbol EPID_ENABLE_DEBUG_PRINT is not defined, all calls to the functions in this module are ignored.

## Enumeration Type Documentation

enum PrintUtilFormat

Print format.

Enumerator
kPrintUtilUnannotated | Unannotated output format.
kPrintUtilAnnotated | Annotated output format.

## Function Documentation

void PrintBigNum | ( | BigNum const * | big_num,
|  | char const * | var_name
| ) |  |

Prints BigNum.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | big_num | BigNum to be printed
  [in] | var_name | Result variable name

void PrintBigNumStr | ( | BigNumStr const * | big_num_str,
|  | char const * | var_name
| ) |  |

Prints serialized BigNum.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | big_num_str | Serialized BigNum to be printed
  [in] | var_name | Result variable name

void PrintEcPoint | ( | EcGroup const * | g,
|  | EcPoint const * | ec_point,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints elliptic curve group element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | g | Elliptic curve group that element to be printed belongs to
  [in] | ec_point | Elliptic curve group element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintFfElement | ( | FiniteField const * | ff,
|  | FfElement const * | ff_element,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints finite field element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | ff | Finite field that element to be printed belongs to
  [in] | ff_element | Finite field element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintFpElemStr | ( | FpElemStr const * | fp_elem_str,
|  | char const * | var_name
| ) |  |

Prints serialized Fp element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | fp_elem_str | Serialized Fp element to be printed
  [in] | var_name | Result variable name

void PrintFq12ElemStr | ( | Fq12ElemStr const * | fq12_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized Fq12 element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | fq12_elem_str | Serialized Intel(R) EPID Fq12 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintFq2ElemStr | ( | Fq2ElemStr const * | fq2_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized Fq2 element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | fq2_elem_str | Serialized Fq2 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintFq6ElemStr | ( | Fq6ElemStr const * | fq6_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized Fq6 element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | fq6_elem_str | Serialized Fq6 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintFqElemStr | ( | FqElemStr const * | fq_elem_str,
|  | char const * | var_name
| ) |  |

Prints serialized Fq element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | fq_elem_str | Serialized Fq element to be printed
  [in] | var_name | Result variable name

void PrintG1ElemStr | ( | G1ElemStr const * | g1_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized G1 element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | g1_elem_str | Serialized G1 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintG2ElemStr | ( | G2ElemStr const * | g2_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized G2 element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | g2_elem_str | Serialized G2 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format

void PrintGtElemStr | ( | GtElemStr const * | gt_elem_str,
|  | char const * | var_name,
|  | PrintUtilFormat | format
| ) |  |

Prints serialized Gt element.

Macro EPID_ENABLE_DEBUG_PRINT needs to be defined in order to activate this routine; otherwise, it prints nothing.

Parameters

  [in] | gt_elem_str | Serialized G2 element to be printed
  [in] | var_name | Result variable name
  [in] | format | Output format